package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 霍兰德测评题目选项对象 b_busi_holland_question_options
 * 
 * @author mingxue
 * @date 2021-08-15
 */
@ApiModel("霍兰德测评题目选项")
public class BBusiHollandQuestionOptions extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty("主键")
    private Long id;

    /** 题目 */
    @Excel(name = "题目")
    @ApiModelProperty("题目")
    private Long questionId;

    /** 序号 */
    @Excel(name = "序号")
    @ApiModelProperty("序号")
    private Long no;

    /** 文字 */
    @Excel(name = "文字")
    @ApiModelProperty("文字")
    private String label;

    /** 状态 */
    @Excel(name = "状态")
    @ApiModelProperty("状态")
    private Integer status;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setQuestionId(Long questionId) {
        this.questionId = questionId;
    }

    public Long getQuestionId() {
        return questionId;
    }

    public void setNo(Long no) {
        this.no = no;
    }

    public Long getNo() {
        return no;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getLabel() {
        return label;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("questionId", getQuestionId())
            .append("no", getNo()).append("label", getLabel()).append("status", getStatus()).toString();
    }
}
